# TODO
# - Why does whois provide something called mkpasswd (also provided by expect)
#   and should we rm it durring %install with a note as to why we aren't using it?
#   - "because of historical reasons" (quoting README)
#
Summary:	Enhanced WHOIS client
Summary(pl.UTF-8):	Rozszerzony klient WHOIS
Summary(ru.UTF-8):	Улучшенный клиент WHOIS
Summary(uk.UTF-8):	Покращений клієнт WHOIS
Name:		whois
Version:	5.0.26
Release:	1
License:	GPL v2+
Group:		Networking/Utilities
Source0:	http://ftp.debian.org/debian/pool/main/w/whois/%{name}_%{version}.tar.xz
# Source0-md5:	236829eea77e85df2443a54815a1b41d
Patch0:		%{name}-idn.patch
Patch1:		%{name}-config.patch
URL:		http://www.linux.it/~md/software/
BuildRequires:	gettext-devel
BuildRequires:	libidn-devel
BuildRequires:	perl-base
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Obsoletes:	inetutils-whois
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a new whois (RFC 954) client rewritten from scratch. It is
derived from and compatible with the usual BSD and RIPE whois(1)
programs. It is intelligent and can automatically select the
appropriate whois server for most queries.

%description -l pl.UTF-8
To jest nowy klient usługi whois (RFC 954) napisany całkowicie od
nowa. Jest kompatybilny zarówno z whois z BSD oraz RIPE. Jest
inteligentny i automatycznie dobiera poprawny serwer whois dla
większosci zapytań.

%description -l ru.UTF-8
Это написанный с "нуля" клиент (RFC 954), совместимый с whois(1)
программами BSD и RIPE. В большинстве случаев он может автоматически
выбирать правильный whois сервер в зависимости от запроса.

%description -l uk.UTF-8
Це заново написаний клієнт whois (RFC 954), сумісний з whois(1)
програмами BSD та RIPE. Він в більшості випадків може автоматично
вибирати правильний whois сервер в залежності від запиту.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mv -f po/{no,nb}.po
%{__perl} -pi -e 's/no\.mo/nb.mo/' po/Makefile

# Makefile vs po/Makefile mismatch
echo 'install-pos: install' >> po/Makefile

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags} %{rpmcppflags}" \
	HAVE_LIBIDN=1

%{__make} -C po

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_bindir},%{_mandir}/man1}

install whois.conf $RPM_BUILD_ROOT%{_sysconfdir}

%{__make} install install-pos \
	BASEDIR=$RPM_BUILD_ROOT \
	prefix=%{_prefix}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README debian/changelog
%attr(755,root,root) %{_bindir}/whois
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/whois.conf
%{_mandir}/man1/whois.1*
%{_mandir}/man5/whois.conf.5*
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/whois.git;a=log;h=master

* Sat Jul 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 8c21979
- updated to 5.0.26

* Sun May 12 2013 Jakub Bogusz <qboosh@pld-linux.org> 8d21b89
- updated to 5.0.25

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 9501bca
- updated to 5.0.24
- removed obsolete pl.po-update patch

* Tue Apr 09 2013 Łukasz Kieś <kiesiu@pld-linux.org> 44419bf
- updated to 5.0.23

* Sun Apr 07 2013 Jakub Bogusz <qboosh@pld-linux.org> ea343e6
- updated to 5.0.22

* Mon Dec 03 2012 Łukasz Kieś <kiesiu@pld-linux.org> fa50a4d
- updated to 5.0.20

* Mon Dec 26 2011 Jakub Bogusz <qboosh@pld-linux.org> d6b28e6
- updated to 5.0.14 (TLD updates)

* Fri Dec 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 2ba2c5b
- updated to 5.0.13 (.hr TLD server update)

* Thu Oct 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 611668e
- updated to 5.0.12
- added pl.po-update patch
- removed obsolete tls patch

* Fri Apr 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 878851b
- rel 2; add whois for .so

* Fri Feb 25 2011 Caleb Maclennan <caleb@alerque.com> e5a7743
- Up to 5.0.11

* Thu Dec 09 2010 Caleb Maclennan <caleb@alerque.com> 445e28d
- Up to 5.0.10

* Mon Oct 18 2010 Caleb Maclennan <caleb@alerque.com> 63dd2e3
- Up to 5.0.8

* Mon Aug 30 2010 shadzik <shadzik@pld-linux.org> 42ebf2e
- 5.0.7

* Mon Jul 26 2010 zbyniu <zbyniu@pld-linux.org> efbe56e
- up to 5.0.6

* Sun May 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 4f113c7
- up to 5.0.5

* Fri May 14 2010 Elan Ruusamäe <glen@pld-linux.org> 2891461
- release 2

* Sun Feb 07 2010 sparky <sparky@pld-linux.org> fc8f17b
- no more zh_CN.po garbage in DESTDIR

* Sun Feb 07 2010 sparky <sparky@pld-linux.org> 2ef23ce
- fixed md5

* Sun Feb 07 2010 sparky <sparky@pld-linux.org> a372b03
- up to 5.0.1

